=== debian/changelog ===
svgalib-dummy (1.2.10) unstable; urgency=low

  * Initial Release.

 -- Roman Hodek <Roman.Hodek@informatik.uni-erlangen.de>  Tue, 4 Feb 1997 15:04:17 +0100

Local variables:
mode: debian-changelog
End:
