=== debian/control ===
Source: svgalib-dummy
Section: libs
Priority: extra
Maintainer: Roman Hodek <Roman.Hodek@informatik.uni-erlangen.de>
Standards-Version: 2.1.2.2

Package: svgalib-dummy1
Architecture: any
Depends: ${shlibs:Depends}
Provides: svgalib1, svgalib1-dev
Conflicts: svgalib1, svgalib1-dev
Description: Dummy replacement for svgalib1
 This package can replace the usual svgalib1 package, on which many
 other packages depend. Unfortunately, the proper svgalib1 requires
 some configuration and is a bit verbose, so if you don't need console
 graphics at all, and would install it only to satisfy dependencies,
 this dummy package may be an alternative for you.
 .
 This package can also be used on architectures where the real
 svgalib1 hasn't been ported to (e.g. m68k). And it also provides the
 few headers from the -dev package.
