=== debian/changelog ===
svgalib-dummy (1:1.2.13-2) unstable; urgency=low

  * Oops... forgotten to raise minor version in Makefile; libs were
    installed as *.so.1.2.11 :-((

 -- Roman Hodek <Roman.Hodek@informatik.uni-erlangen.de>  Thu, 19 Feb 1998 10:37:03 +0100

svgalib-dummy (1:1.2.13-1) unstable; urgency=low

  * Added new symbols: graph_mem, currentcontext (both .bss and forgotten
    previously...); also __svgalib_name2number (non-public, but
    nevertheless used by thrust package)
  * Do not Provide: svgalib1[g] anymore; packages that can work with both,
    real svgalib and the dummy, should have an svgalibg1|svgalib-dummyg1
    in their dependencies, so the Provides is unnecessary.
  * Modify shlibs files so that no svgalibg1|svgalib-dummyg1 dependency is
    added automatically. Packages that aren't useless with the dummy lib
    should modify their debian/substvars manually somehow.
  * Removed ldconfig from postinst and postrm.
  * New section for maintainers in /usr/doc/svgalib-dummyg1/README.Debian
  * Updated to Standards-Version 2.4.0.0 (no changes)

 -- Roman Hodek <Roman.Hodek@informatik.uni-erlangen.de>  Tue, 17 Feb 1998 14:14:32 +0100

svgalib-dummy (1:1.2.11-1) unstable; urgency=low

  * Built with libc6
  * New upstream version required a few new symbols.
  * Anyway, I had forgotten all the mouse_* and keyboard_* functions in
    the last version... but nobody noticed :-)
  * Updated to Standards-Version 2.2.0.0
  * Changed shlibs file in cooperation with Joost (he did the real
    svgalib) to hopefully solve the dependency problems.

 -- Roman Hodek <Roman.Hodek@informatik.uni-erlangen.de>  Wed,  6 Aug 1997 17:44:25 +0200

svgalib-dummy (1:1.2.10-2) unstable; urgency=low

  * Add epoch to version number
  * Add Replaces: svgalib1, otherwise dpkg refuses to accept the dummy
    instead of the real svgalib in case of versioned dependencies
  * Compile with -D_REENTRANT (is this really necessary?)

 -- Roman Hodek <Roman.Hodek@informatik.uni-erlangen.de>  Thu, 15 May 1997 18:00:46 +0200
