=== debian/control ===
Source: svgalib-dummy
Section: libs
Priority: extra
Maintainer: Roman Hodek <Roman.Hodek@informatik.uni-erlangen.de>
Standards-Version: 2.4.0.0

Package: svgalib-dummyg1
Architecture: any
Depends: libc6
Replaces: svgalibg1, svgalibg1-dev
Conflicts: svgalibg1, svgalibg1-dev, svgalib1 (<< 1:1.2.11-1), svgalib1-altdev, svgalib-dummy1 (<= 1:1.2.10-2)
Description: Dummy replacement for svgalib1
 This package can replace the usual svgalib1 package, on which many
 other packages depend. Unfortunately, the proper svgalib1 requires
 some configuration and is a bit verbose, so if you don't need console
 graphics at all, and would install it only to satisfy dependencies,
 this dummy package may be an alternative for you.
 .
 This package can also be used on architectures where the real
 svgalib1 hasn't been ported to (e.g. m68k).
 .
 It also provides the few headers from the -dev package and should be
 usable as a development environment.

Package: svgalib-dummy1
Architecture: any
Depends: libc5
Replaces: svgalib1
Conflicts: svgalib1, svgalib1-dev
Description: Dummy replacement for svgalib1 [libc5 compat]
 This package can replace the usual svgalib1 package, on which many
 other packages depend. Unfortunately, the proper svgalib1 requires
 some configuration and is a bit verbose, so if you don't need console
 graphics at all, and would install it only to satisfy dependencies,
 this dummy package may be an alternative for you.
 .
 This package can also be used on architectures where the real
 svgalib1 hasn't been ported to (e.g. m68k).
