=== debian/rules ===
--- 
+++ 
@@ -1,4 +1,5 @@
 #!/usr/bin/make -f
+#   -*- mode: makefile; -*-
 # Sample debian.rules file - for GNU Hello (1.3).
 # Copyright 1994,1995 by Ian Jackson.
 # I hereby give you perpetual unlimited permission to copy,
@@ -9,11 +10,20 @@
 #
 # Modified to be a prototype for debmake by Christoph Lameter <clameter@debian.org>
 
-package=svgalib-dummy1
+ARCH = $(shell dpkg --print-gnu-build-architecture)
+
+packg = svgalib-dummyg1
+packc = svgalib-dummy1
+tmpg = debian/tmp-libg
+tmpc = debian/tmp-libcompat
+docg = $(tmpg)/usr/doc/$(packg)
+docc = $(tmpc)/usr/doc/$(packc)
 
 build:
 	$(checkdir)
 	make
+	test -d libc5-compat || mkdir libc5-compat
+	cd libc5-compat; $(MAKE) CC=$(ARCH)-linuxlibc1-gcc -f ../Makefile SRCDIR=..
 	touch build
 
 clean:
@@ -21,7 +31,7 @@
 	-rm -f build
 	-make clean
 	-rm -f `find . -name "*~"`
-	-rm -rf debian/tmp debian/files* core debian/substvars
+	-rm -rf debian/tmp* debian/files* core debian/substvars libc5-compat
 
 binary-indep:	checkroot build
 	$(checkdir)
@@ -29,17 +39,42 @@
 # generated by this package.  If there were any they would be
 # made here.
 
-binary-arch:	checkroot build
+binary-arch: binary-svgalib-dummyg1 binary-svgalib-dummy1
+
+binary-svgalib-dummyg1:	checkroot build
 	$(checkdir)
-	-rm -rf debian/tmp
-	install -d debian/tmp
-	cd debian/tmp;install -d `cat ../dirs`
-	make install DESTDIR=`pwd`/debian/tmp
-	debstd 
-	dpkg-gencontrol
-	chown -R root.root debian/tmp
-	chmod -R go=rX debian/tmp
-	dpkg --build debian/tmp ..
+	-rm -rf $(tmpg)
+	install -d $(tmpg)/DEBIAN
+	make install PREFIX=`pwd`/$(tmpg)
+	install -m 755 debian/control $(tmpg)/DEBIAN
+	install -m 644 debian/shlibs.glibc $(tmpg)/DEBIAN/shlibs
+	install -d $(docg)
+	install -m 644 debian/changelog $(docg)/changelog.Debian
+	install -m 644 debian/README.debian $(docg)
+	gzip -9f $(docg)/*
+	install -m 644 debian/copyright $(docg)
+	dpkg-gencontrol -p$(packg) -P$(tmpg)/
+	chown -R root.root $(tmpg)
+	chmod -R go=rX $(tmpg)
+	dpkg --build $(tmpg) ..
+
+binary-svgalib-dummy1:	checkroot build
+	$(checkdir)
+	-rm -rf $(tmpc)
+	install -d $(tmpc)/DEBIAN
+	cd libc5-compat; make -f ../Makefile install-libs PREFIX=`pwd`/../$(tmpc) LIBDIR=/usr/lib/libc5-compat SRCDIR=..
+	rm -f $(tmpc)/usr/lib/libc5-compat/*.so
+	install -m 755 debian/control $(tmpc)/DEBIAN
+	install -m 644 debian/shlibs.compat $(tmpc)/DEBIAN/shlibs
+	install -d $(docc)
+	install -m 644 debian/changelog $(docc)/changelog.Debian
+	install -m 644 debian/README.debian $(docc)
+	gzip -9f $(docc)/*
+	install -m 644 debian/copyright $(docc)
+	dpkg-gencontrol -p$(packc) -P$(tmpc)/
+	chown -R root.root $(tmpc)
+	chmod -R go=rX $(tmpc)
+	dpkg --build $(tmpc) ..
 
 define checkdir
 	test -f debian/rules
