## svgalib-dummy 1.4.0-2

=== debian/changelog ===
svgalib-dummy (1:1.4.0-2) frozen unstable; urgency=low

  * Don't build libc5 compat package for sparc anymore; fixes important
    bug (closes: #61193)

 -- Roman Hodek <Roman.Hodek@informatik.uni-erlangen.de>  Wed, 29 Mar 2000 15:56:13 +0200

svgalib-dummy (1:1.4.0-1) unstable; urgency=low

  * FHS transition (Standards-Version 3.0.1)
  * Added new symbols from 1.4.0 version: vga_addmode, vga_addtiming,
    vga_changetiming, vga_getcurrenttiming, vga_guesstiming, vga_getoptmode.

 -- Roman Hodek <Roman.Hodek@informatik.uni-erlangen.de>  Wed, 17 Nov 1999 17:08:49 +0100

svgalib-dummy (1:1.3.1-2.3) unstable; urgency=low

  * no NMU again -- see below.
  * Updated copyright file for new location /usr/share/common-licenses/GPL.
  * Updated Standards-Version to 3.0.0.

 -- Roman Hodek <Roman.Hodek@informatik.uni-erlangen.de>  Fri, 9 Jul 1999 14:43:50 +0200

svgalib-dummy (1:1.3.1-2.2) unstable; urgency=low

  * no NMU again -- see below.
  * libc5 compat package svgalib-dummy1 must also be Arch: i386 m68k sparc
    in debian/control.

 -- Roman Hodek <Roman.Hodek@informatik.uni-erlangen.de>  Fri, 11 Jun 1999 09:16:25 +0200

svgalib-dummy (1:1.3.1-2.1) unstable; urgency=low

  * *NO* non-maintainer release; I used "2.1" to say this is still
    compatible with the real svgalib 1.3.1-2, but a new revision of the
    dummy lib.
  * Build libc5 compat libraries only on archs that had libc5 (i386, m68k,
    sparc). Fixes: #37418.

 -- Roman Hodek <Roman.Hodek@informatik.uni-erlangen.de>  Tue, 11 May 1999 16:58:30 +0200

svgalib-dummy (1:1.3.1-2) unstable; urgency=low

  * Added new symbols from 1.3.1 version: joystick_* and gl_printf.
  * Include new header vgajoystick.h.
  * Added ldconfig in postinst again (lintian).
  * Updated to Standards-Version 2.5.0.0 (changes: ldconfig above)
  * Correctly use dpkg-shlibdeps and do not hardwire libc dependencies.

 -- Roman Hodek <Roman.Hodek@informatik.uni-erlangen.de>  Tue, 27 Apr 1999 13:19:51 +0200
