=== debian/control ===
--- 
+++ 
@@ -2,11 +2,11 @@
 Section: libs
 Priority: extra
 Maintainer: Roman Hodek <Roman.Hodek@informatik.uni-erlangen.de>
-Standards-Version: 2.4.0.0
+Standards-Version: 3.0.0
 
 Package: svgalib-dummyg1
 Architecture: any
-Depends: libc6
+Depends: ${shlibs:Depends}
 Replaces: svgalibg1, svgalibg1-dev
 Conflicts: svgalibg1, svgalibg1-dev, svgalib1 (<< 1:1.2.11-1), svgalib1-altdev, svgalib-dummy1 (<= 1:1.2.10-2)
 Description: Dummy replacement for svgalib1
@@ -23,8 +23,8 @@
  usable as a development environment.
 
 Package: svgalib-dummy1
-Architecture: any
-Depends: libc5
+Architecture: i386 m68k
+Depends: ${shlibs:Depends}
 Replaces: svgalib1
 Conflicts: svgalib1, svgalib1-dev
 Description: Dummy replacement for svgalib1 [libc5 compat]
