=== debian/rules ===
--- 
+++ 
@@ -12,18 +12,26 @@
 
 ARCH = $(shell dpkg --print-gnu-build-architecture)
 
+BINARY-ARCH-TARGETS = binary-svgalib-dummyg1
+ifeq ($(filter $(ARCH),i486 m68k),$(ARCH))
+BUILDLIBC5=1
+BINARY-ARCH-TARGETS += binary-svgalib-dummy1
+endif
+
 packg = svgalib-dummyg1
 packc = svgalib-dummy1
 tmpg = debian/tmp-libg
 tmpc = debian/tmp-libcompat
-docg = $(tmpg)/usr/doc/$(packg)
-docc = $(tmpc)/usr/doc/$(packc)
+docg = $(tmpg)/usr/share/doc/$(packg)
+docc = $(tmpc)/usr/share/doc/$(packc)
 
 build:
 	$(checkdir)
 	make
+ifdef BUILDLIBC5
 	test -d libc5-compat || mkdir libc5-compat
 	cd libc5-compat; $(MAKE) CC=$(ARCH)-linuxlibc1-gcc -f ../Makefile SRCDIR=..
+endif
 	touch build
 
 clean:
@@ -39,20 +47,23 @@
 # generated by this package.  If there were any they would be
 # made here.
 
-binary-arch: binary-svgalib-dummyg1 binary-svgalib-dummy1
+binary-arch: $(BINARY-ARCH-TARGETS)
 
 binary-svgalib-dummyg1:	checkroot build
 	$(checkdir)
 	-rm -rf $(tmpg)
 	install -d $(tmpg)/DEBIAN
 	make install PREFIX=`pwd`/$(tmpg)
-	install -m 755 debian/control $(tmpg)/DEBIAN
+	install -m 644 debian/control $(tmpg)/DEBIAN
 	install -m 644 debian/shlibs.glibc $(tmpg)/DEBIAN/shlibs
+	install -m 755 debian/postinst.glibc $(tmpg)/DEBIAN/postinst
+	install -m 755 debian/prerm.glibc $(tmpg)/DEBIAN/prerm
 	install -d $(docg)
 	install -m 644 debian/changelog $(docg)/changelog.Debian
 	install -m 644 debian/README.debian $(docg)
 	gzip -9f $(docg)/*
 	install -m 644 debian/copyright $(docg)
+	dpkg-shlibdeps $(tmpg)/usr/lib/lib*.so.*
 	dpkg-gencontrol -p$(packg) -P$(tmpg)/
 	chown -R root.root $(tmpg)
 	chmod -R go=rX $(tmpg)
@@ -64,13 +75,16 @@
 	install -d $(tmpc)/DEBIAN
 	cd libc5-compat; make -f ../Makefile install-libs PREFIX=`pwd`/../$(tmpc) LIBDIR=/usr/lib/libc5-compat SRCDIR=..
 	rm -f $(tmpc)/usr/lib/libc5-compat/*.so
-	install -m 755 debian/control $(tmpc)/DEBIAN
+	install -m 644 debian/control $(tmpc)/DEBIAN
 	install -m 644 debian/shlibs.compat $(tmpc)/DEBIAN/shlibs
+	install -m 755 debian/postinst.compat $(tmpc)/DEBIAN/postinst
+	install -m 755 debian/prerm.compat $(tmpc)/DEBIAN/prerm
 	install -d $(docc)
 	install -m 644 debian/changelog $(docc)/changelog.Debian
 	install -m 644 debian/README.debian $(docc)
 	gzip -9f $(docc)/*
 	install -m 644 debian/copyright $(docc)
+	dpkg-shlibdeps $(tmpc)/usr/lib/libc5-compat/lib*.so.*
 	dpkg-gencontrol -p$(packc) -P$(tmpc)/
 	chown -R root.root $(tmpc)
 	chmod -R go=rX $(tmpc)
