## svgalib-dummy 1.4.0-2.2

=== Makefile ===
--- 
+++ 
@@ -8,13 +8,13 @@
 SRCDIR   = .
 
 MAJOR_VER = 1
-MINOR_VER = 2.13
+MINOR_VER = 3.1
 VERSION   = $(MAJOR_VER).$(MINOR_VER)
 
 LIBBASE = libvga libvgagl
 LIBS = $(addsuffix .so.$(VERSION),$(LIBBASE))
 
-HEADERS = vga.h vgagl.h vgamouse.h vgakeyboard.h
+HEADERS = vga.h vgagl.h vgamouse.h vgakeyboard.h vgajoystick.h
 
 all: $(LIBS)
