=== debian/control ===
--- 
+++ 
@@ -2,7 +2,8 @@
 Section: libs
 Priority: extra
 Maintainer: Roman Hodek <Roman.Hodek@informatik.uni-erlangen.de>
-Standards-Version: 3.0.0
+Standards-Version: 3.1.1
+Build-Depends: altgcc [i386], libc5-altdev [i386]
 
 Package: svgalib-dummyg1
 Architecture: any
@@ -23,7 +24,7 @@
  usable as a development environment.
 
 Package: svgalib-dummy1
-Architecture: i386 m68k
+Architecture: i386
 Depends: ${shlibs:Depends}
 Replaces: svgalib1
 Conflicts: svgalib1, svgalib1-dev
