=== debian/rules ===
--- 
+++ 
@@ -13,7 +13,7 @@
 ARCH = $(shell dpkg --print-gnu-build-architecture)
 
 BINARY-ARCH-TARGETS = binary-svgalib-dummyg1
-ifeq ($(filter $(ARCH),i486 m68k),$(ARCH))
+ifeq ($(ARCH),i486)
 BUILDLIBC5=1
 BINARY-ARCH-TARGETS += binary-svgalib-dummy1
 endif
